Name:		canl-java
Version:	2.6.0
Release:	1%{?dist}
Summary:	EMI Common Authentication library - bindings for Java

#		The main parts of the code are BSD
#		Parts derived from glite security utils java are Apache 2.0
#		Parts derived from bouncycastle are MIT
#		Parts derived from Apache Commons IO are Apache 2.0
#		See LICENSE.txt for details
License:	BSD and ASL 2.0 and MIT
URL:		https://github.com/eu-emi/%{name}/
Source0:	https://github.com/eu-emi/%{name}/archive/canl-%{version}/%{name}-%{version}.tar.gz
#		These are build instructions for ant generated from the maven
#		build instructions using the maven ant plugin.
#		These are used for building on EPEL 6 since there is no maven
#		available there.
Source1:	build.xml
Source2:	maven-build.xml
Source3:	maven-build.properties
#		Disable tests that require network connections
Patch0:		%{name}-test.patch
#		Replace calls to
#		FileUtils.writeStringToFile(File, String, Charset)
#		with calls to
#		FileUtils.writeStringToFile(File, String, String)
#		(only used in one of the tests)
#		Avoiding jakarta-commons-io >= 2.4 requirement
Patch1:		%{name}-io-charset.patch
#		Remove usage of test @Category - requires junit4 >= 4.8
Patch2:		%{name}-junit-categories.patch
BuildArch:	noarch
#		There is no jakarta-commons-io for ppc64 in EPEL6
ExcludeArch:	ppc64

BuildRequires:	java-devel >= 1:1.6
BuildRequires:	jpackage-utils
BuildRequires:	ant
BuildRequires:	ant-junit
BuildRequires:	bouncycastle1.58
BuildRequires:	bouncycastle1.58-pkix
BuildRequires:	jakarta-commons-io
BuildRequires:	junit4
Requires:	java >= 1:1.6
Requires:	jpackage-utils
Requires:	bouncycastle1.58
Requires:	bouncycastle1.58-pkix
Requires:	jakarta-commons-io

%description
This is the Java part of the EMI caNl -- the Common Authentication Library.

%package javadoc
Summary:	Javadoc documentation for %{name}
Requires:	jpackage-utils

%description javadoc
Javadoc documentation for EMI caNl.

%prep
%setup -q -n %{name}-canl-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .
cp -p %{SOURCE3} .

%build
export CLASSPATH=$(build-classpath bcprov-1.58 bcpkix-1.58 commons-io junit4)
%ant -Dbuild.sysclasspath=last package javadoc

%install
mkdir -p %{buildroot}%{_javadir}
install -m 644 target/canl-%{version}.jar %{buildroot}%{_javadir}/canl.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -p -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-canl.pom
%add_to_maven_depmap eu.eu-emi.security canl %{version} JPP canl

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/canl.jar
%{_mavenpomdir}/JPP-canl.pom
%config(noreplace) %{_mavendepmapfragdir}/%{name}
%doc API-Changes.txt README.md
%license LICENSE.txt

%files javadoc
%doc %{_javadocdir}/%{name}
%license LICENSE.txt

%changelog
* Fri Feb 22 2019 Mattias Ellert <mattias.ellert@physics.uu.se> - 2.6.0-1
- Update to 2.6.0
- Drop patch canl-java-javadoc.patch (previously backported)

* Mon Feb 05 2018 Mattias Ellert <mattias.ellert@physics.uu.se> - 2.5.0-2
- Build against bouncycastle1.58

* Thu Jan 04 2018 Mattias Ellert <mattias.ellert@physics.uu.se> - 2.5.0-1
- Update to 2.5.0
- Javadoc fixes (backport from upstream)
- Create EPEL 6 package using the maven ant plugin

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Sep 10 2016 Mattias Ellert <mattias.ellert@physics.uu.se> - 2.4.1-1
- Update to 2.4.1

* Mon Jul 11 2016 Mattias Ellert <mattias.ellert@physics.uu.se> - 2.4.0-1
- Update to 2.4.0
- Drop patch canl-java-javadoc.patch (accepted upstream)

* Fri Apr 15 2016 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.3.0-1
- Update to 2.3.0 - requires bouncycastle 1.54 (Fedora 25+)

* Sat Feb 13 2016 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.2.1-1
- Update to 2.2.1

* Sat Feb 13 2016 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.1.2-1
- New upstream version
- Drop patch canl-java-use-proper-size-of-the-returned-array.patch

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Aug 05 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.2.0-1
- Update to 2.2.0 - requires bouncycastle 1.52 (Fedora 23+)
- Drop patches no longer needed with new version

* Wed Aug 05 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.1.1-4
- Drop bouncycastle 1.52 modifications (Fedora 23+ now uses canl-java 2.2.0)
- Minor javadoc fixes

* Sat Jul 11 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.1.1-3
- Adapt to bouncycastle 1.52 (Fedora 23+)
- Implement new license packaging guidelines

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Oct 13 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.1.1-1
- New upstream version

* Wed Jun 11 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.1.0-3
- Fix test that fails when using OpenJDK 1.8 (patch from upstream git)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 06 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.1.0-1
- New upstream version

* Thu Mar 13 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0.0-2
- Use upstream's fix for the failing test

* Fri Feb 28 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0.0-1
- Update to version 2.0.0 to support newer bouncycastle

* Fri Feb 28 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.3.1-1
- New upstream version

* Wed Nov 27 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.3.0-1
- New upstream version

* Sun Aug 18 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2.1-1
- New upstream version
- Use xmvn instead of mvn-rpmbuild

* Fri May 17 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2.0-1
- New upstream version
- Drop canl-java-java7.patch (fixed upstream)

* Thu Feb 14 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.0-1
- Initial Fedora build
